App API
由
scripts/generate-api-docs.ts自动生成 —— 请勿手改 共 17 个端点
GET /appmodel
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
DELETE /appmodel/{id}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /appmodel/{id}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PATCH /appmodel/{id}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
请求体
json
{
"$ref": "#/components/schemas/UpdateAppmodelDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /appmodel/{id}/subcribe
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 201 |
DELETE /appmodel/{id}/tag/{tagsId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ | |
tagsId | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /appmodel/{id}/tag/{tagsId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ | |
tagsId | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /appmodel/{id}/unsubscribe
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 201 |
PUT /appmodel/{id}/updateTags
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /appmodel/create
无描述
请求体
json
{
"$ref": "#/components/schemas/CreateAppDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
GET /appmodel/default
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /appmodel/install
无描述
请求体
json
{
"$ref": "#/components/schemas/InstallPluginDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
GET /appmodel/my/{id}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /appmodel/recommend
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /appmodel/subscriber
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /appmodel/tag
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /appmodel/uninstall
无描述
请求体
json
{
"$ref": "#/components/schemas/InstallPluginDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |